# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-DateTime-Locale
Version:	0.45
Release:	21.0.cf.%{__distinit}%{__distvers}
Summary:	Localization support for DateTime.pm
# package itself is 'same terms as Perl'
# modules under DateTime/Locale/ are generated from data provided by the CLDR project
# tools/t/test-data contains CLDR data files under MIT license
License:	(GPL+ or Artistic) and MIT
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/DateTime-Locale/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-Locale-%{version}.tar.gz
Patch1:		DateTime-Locale-0.45-UTF8.patch
Patch2:		DateTime-Locale-0.45-coverage.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(lib)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(Module::Build) >= 0.36
BuildRequires:	perl(Params::Validate) >= 0.91
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::More) >= 0.34
BuildRequires:	perl(Test::Output)
BuildRequires:	perl(Test::Pod) >= 1.14
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Params::Validate) >= 0.91

%description
DateTime::Locale is primarily a factory for the various locale subclasses. It
also provides some functions for getting information on all the available
locales.

%prep
%setup -q -n DateTime-Locale-%{version}

# Recode as UTF-8
%patch1 -p2

# DateTime::LocaleCatalog has been renamed to DateTime::Locale::Catalog
# and cannot be loaded
%patch2

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
IS_MAINTAINER=1 ./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE LICENSE.cldr README
%dir %{perl_vendorlib}/DateTime/
%{perl_vendorlib}/DateTime/Locale/
%{perl_vendorlib}/DateTime/Locale.pm
%{perl_vendorlib}/DateTime/LocaleCatalog.pm
%{_mandir}/man3/DateTime::Locale.3pm*
%{_mandir}/man3/DateTime::Locale::*.3pm*
%{_mandir}/man3/DateTime::LocaleCatalog.3pm*

%changelog
* Tue Jul 23 2013 Paul Howarth <paul@city-fan.org> - 0.45-21.0.cf
- Perl 5.18 rebuild

* Tue Jul  2 2013 Paul Howarth <paul@city-fan.org> - 0.45-20.0.cf
- DateTime::LocaleCatalog has been renamed to DateTime::Locale::Catalog
  and cannot be loaded, which broke the POD coverage test

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> - 0.45-19.0.cf
- BR: perl(base), perl(Carp), perl(File::Spec), perl(lib) and perl(Storable)
- Update UTF8 patch to fix broken POD test
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Don't need to run test suite with LC_ALL=C

* Fri Aug 19 2011 Paul Howarth <paul@city-fan.org> - 0.45-18.0.cf
- Unbundled from perl-DateTime
